List Ongoing Invocations
Returns a list of currently running lambda invocations for the authenticated account.
Authentication
Requires X-Glue-Authentication.
HTTP Request
curl -X GET "https://api.hola.cloud/api/v0/ongoing" \
-H "X-Glue-Authentication: YOUR_TOKEN"GET /api/v0/ongoing HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_TOKEN
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.hola.cloud/api/v0/ongoing", nil)
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/api/v0/ongoing',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_TOKEN',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
headers = {
"X-Glue-Authentication": "YOUR_TOKEN",
}
response = requests.request(
"GET",
"https://api.hola.cloud/api/v0/ongoing",
headers=headers
)
print(response.text)
const response = await fetch("https://api.hola.cloud/api/v0/ongoing", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
console.log(await response.text());
const response = await fetch("https://api.hola.cloud/api/v0/ongoing", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/api/v0/ongoing"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.header("X-Glue-Authentication", "YOUR_TOKEN")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Example
curl -X GET "https://api.hola.cloud/api/v0/ongoing" \
-H "X-Glue-Authentication: YOUR_TOKEN"GET /api/v0/ongoing HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_TOKEN
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.hola.cloud/api/v0/ongoing", nil)
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/api/v0/ongoing',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_TOKEN',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
headers = {
"X-Glue-Authentication": "YOUR_TOKEN",
}
response = requests.request(
"GET",
"https://api.hola.cloud/api/v0/ongoing",
headers=headers
)
print(response.text)
const response = await fetch("https://api.hola.cloud/api/v0/ongoing", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
console.log(await response.text());
const response = await fetch("https://api.hola.cloud/api/v0/ongoing", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/api/v0/ongoing"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.header("X-Glue-Authentication", "YOUR_TOKEN")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Response
1[
2 {
3 "id": "inv_abc123",
4 "lambda_id": "f1a2b3c4-d5e6-7890-abcd-ef0123456789",
5 "lambda_name": "hello-world",
6 "started_at": "2025-07-01T12:00:00Z",
7 "method": "POST",
8 "path": "/hello-world"
9 }
10]
Error Codes
| Code | Description |
|---|---|
| 401 | Missing or invalid authentication |
Comments